{
    "path": "$OET_PATH/testcases/function_test/pkg_test/attest-tools/attest-tools",
    "machine num": 1,
    "cases": [
        {
            "name": "test_attest-tools_rollback",
            "desc": "测试attest-tools软件包的回滚功能，验证回滚是否成功",
            "machine num": 1
        },
        {
            "name": "test_attest-tools_attest_tls_client__v",
            "desc": "测试 attest_tls_client 命令的版本显示功能"
        },
        {
            "name": "test_attest-tools_attest_create_skae_no_args",
            "desc": "执行attest_create_skae命令时不提供任何参数，仅提供必需的文件名参数"
        },
        {
            "name": "test_attest-tools_attest_create_skae__s",
            "desc": "使用-s选项指定TPMT_SIGNATURE文件的路径"
        },
        {
            "name": "test_attest-tools_attest_parse_json_j_v",
            "desc": "测试同时使用 -j 和 -v 参数"
        },
        {
            "name": "test_attest-tools_attest_parse_json_i_h",
            "desc": "测试同时使用 -i 和 -h 参数"
        },
        {
            "name": "test_attest-tools_attest_ra_client__v",
            "desc": "测试 attest_ra_client 命令的 --version 参数，验证版本信息是否正确显示"
        },
        {
            "name": "test_attest-tools_attest_ra_client__b",
            "desc": "测试 attest_ra_client 命令的 --kernel-bios-log 参数，验证使用内核BIOS日志功能"
        },
        {
            "name": "test_attest-tools_attest_ra_client__p__upper_p",
            "desc": "测试 attest_ra_client 命令组合使用 --pcr-list 和 --pcr-algo 参数"
        },
        {
            "name": "test_attest-tools_attest_ra_client__r__upper_u",
            "desc": "测试 attest_ra_client 命令组合使用 --save-attest-data 和 --attest-data-url 参数"
        },
        {
            "name": "test_attest-tools_attest_ra_server_v",
            "desc": "测试使用-v参数运行attest_ra_server命令，预期打印软件包版本"
        },
        {
            "name": "test_attest-tools_attest_ra_server_upper_version",
            "desc": "测试使用--version参数运行attest_ra_server命令，预期打印软件包版本"
        },
        {
            "name": "test_attest-tools_attest_ra_server_p_i_filename",
            "desc": "测试组合使用-p和-i参数并提供文件名运行attest_ra_server命令，预期同时指定PCR列表和允许IMA违规"
        }
    ]
}